#! /bin/sh
#
# exiscan	start/stop the exim virus scanner.
#
#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
#		Modified for Debian GNU/Linux
#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#		Modified for exiscan
#		by Gerfried Fuchs <alfie@debian.org>
#

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/exiscan
NAME=exiscan
DESC="email virus scanner for exim"
OPTIONS=/etc/exiscan/exiscan.conf

test -x $DAEMON || exit 0

## Put # marks infront of the following lines AFTER you have tweaked the
## exim configuration files
echo ""
echo "To run exiscan at startup make sure you have read"
echo "/usr/share/doc/exiscan/README.Debian and applied the needed changes."
echo "Then comment these strings and the following exit 0 in"
echo "/etc/init.d/exiscan to enable the daemon."
exit 0

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: $NAME"
	start-stop-daemon --start --quiet --exec $DAEMON $OPTIONS > /dev/null
	echo "."
	;;
  stop)
	echo -n "Stopping $DESC: $NAME "
	start-stop-daemon --stop --quiet --name $(basename $DAEMON)
	echo "."
	;;
  #reload)
	#
	#	If the daemon can reload its config files on the fly
	#	for example by sending it SIGHUP, do it here.
	#
	#	If the daemon responds to changes in its config file
	#	directly anyway, make this a do-nothing entry.
	#
	# echo -n "Reloading $DESC configuration..."
	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
	#	/var/run/$NAME.pid --exec $DAEMON
	# echo "done."
  #;;
  restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	echo -n "Restarting $DESC: $NAME"
	start-stop-daemon --stop --quiet --name $(basename $DAEMON)
	sleep 1
	start-stop-daemon --start --quiet --exec $DAEMON $OPTIONS > /dev/null
	echo "."
	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
